Subject: [alpine-devel] extra/iaxmodem

From: Cameron Banta <[email-masked]>
Date: Sun, 1 Mar 2009 22:12:16 -0600

Hello,

Please review and commit.

Thanks,
Cameron
From 33d7d53aaad9f6eff1076390a4b1690fff2c47d8 Mon Sep 17 00:00:00 2001
From: Cameron Banta <[email-masked]>
Date: Mon, 2 Mar 2009 04:05:00 +0000
Subject: [PATCH] initial commit

---
 extra/iaxmodem/APKBUILD |   54 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 54 insertions(+), 0 deletions(-)
 create mode 100644 extra/iaxmodem/APKBUILD

diff --git a/extra/iaxmodem/APKBUILD b/extra/iaxmodem/APKBUILD
new file mode 100644
index 0000000..86ca156
--- /dev/null
+++ b/extra/iaxmodem/APKBUILD
@@ -0,0 +1,54 @@
+# Contributor: Cameron Banta <[email-masked]>
+# Maintainer: Cameron Banta <[email-masked]>
+pkgname=iaxmodem
+pkgver=1.2.0
+pkgrel=0
+pkgdesc="Softmodem for hylafax that connects to VOIP gateway with IAX"
+url="http://iaxmodem.sourceforge.net/"
+license="GPL"
+depends="uclibc tiff"
+makedepends="tiff-dev"
+#install=
+#subpackages="$pkgname-doc $pkgname-dev"
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure
+	make || return 1
+	install -m755 -s -D "$srcdir/$pkgname-$pkgver/iaxmodem" \
+		"$pkgdir/sbin/iaxmodem"
+	mkdir -p "$pkgdir/etc/iaxmodem"
+	mkdir -p "$pkgdir/var/log/iaxmodem"
+
+	#library licenses
+	install -m644 -D "$srcdir/$pkgname-$pkgver/lib/libiax2/COPYING" \
+		"$pkgdir"/usr/share/licenses/$pkgname/libiax2.COPYING
+	install -m644 -D "$srcdir/$pkgname-$pkgver/lib/libiax2/COPYING.LIB" \
+		"$pkgdir"/usr/share/licenses/$pkgname/libiax2.COPYING.LIB
+	
+	install -m644 -D "$srcdir/$pkgname-$pkgver/lib/spandsp/COPYING" \
+		"$pkgdir"/usr/share/licenses/$pkgname/libspandsp.COPYING
+
+	#docs
+	install -m644 -D "$srcdir/$pkgname-$pkgver/README" \
+		"$pkgdir/usr/share/doc/$pkgname/README"
+	install -m644 -D "$srcdir/$pkgname-$pkgver/FAQ" \
+		"$pkgdir/usr/share/doc/$pkgname/FAQ"
+
+	install -m644 -D "$srcdir/$pkgname-$pkgver/iaxmodem-cfg.ttyIAX" \
+		"$pkgdir/usr/share/doc/$pkgname/iaxmodem-cfg.ttyIAX"
+	install -m644 -D "$srcdir/$pkgname-$pkgver/iaxmodem.init.debian" \
+		"$pkgdir/usr/share/doc/$pkgname/iaxmodem.init.debian"
+	install -m644 -D "$srcdir/$pkgname-$pkgver/config.ttyIAX" \
+		"$pkgdir/usr/share/doc/$pkgname/config.ttyIAX"
+
+	# install -m755 -D "$srcdir"/$pkgname.initd \
+	#	"$pkgdir"/etc/init.d/$pkgname
+	# install -m644 -D "$srcdir"/$pkgname.confd \
+	#	"$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="f8b26cfeed188e5c1dcbc5ae5ef923b3  iaxmodem-1.2.0.tar.gz"
-- 
1.6.1.3

---

From: Natanael Copa <[email-masked]>
Date: Mon, 02 Mar 2009 18:09:11 +0100

> Please review and commit.

committed. thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---